ROHTO BUGS - Bug #1543

[Performance Management] - Performance Appraisal
09/02/2022 04:30 PM - Fiona Avangeline Jonathan

Status: Closed Start date: 09/02/2022
Priority: Urgent Due date:
Assignee: Fiona Avangeline Jonathan % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 11.00 hours
Description
Mba Yoma,
Mohon dibantu ada kendala di tombol save di menu Performance Appraisal.
Port: http://remote.minovais.com:61121/

Terima kasih

History

#1 - 09/05/2022 09:56 AM - Fiona Avangeline Jonathan

Mba Yoma,

Berikut tambahan informasi terkait HR PMS.

Appraisal Type = 01 (Goal Setting)

1. Hanya bisa add di Performance List Appraiser (PHRPA0048) untuk

2. Delete button add dan delete di PHRPA0049 (KPI) dan PHRPAQ051 (Competency)
3. Delete button add dan delete di summary

Appraisal Type = 02,03,04,05,06,07
4. Delete button add dan delete di PHRPA0048 (appraiser), PHRPA0049 (KPI), PHRPA0051 (Competency) dan summary

5. Menu Export dan Import masih belum berfungsi

Terima kasih.

#2 - 09/07/2022 09:20 AM - Tri Rizqiaty
- File clipboard-202209070919-7iznk.png added
http://remote.minovais.com:61121/

- Status changed from Assigned to Developing

Fixing :

Update folder Ul-app-controller-performance : controllerperformance.js _
Brew 1 |3|EnewZdlnnewddlEnewfldlnnewfldlnnewGdlEnew?nﬂlnnewBdlnnewﬂﬂlnnew 12|3|Enew 13 |.']|EHHfAF‘anWmLookOrgFoszﬂZZD‘)m.js dlnnew 1 Jlnnew 14 .4 [ controlleperformance js E3 b

//// add by Tri nwh 20220905 starc -
var appType = Ext.ComponentQuery.query(’ [name=AppraisalType]’) [0];:

console. log (applype.getValue()) 5

Ext.ComponentQuery.query("
if (appTvpe.getValus () =

) [C0].setHidden (false) ;

=] {
Ext.ComponentQuery. "y[0].secHidden(false) ;
Ext.ComponentQuery. xt]') [0].setHidden (false)
Ext.ComponentQuery. ] .setHidden(true) ;
Ext.ComponentQuery. xt] ") [0].setHidden (true) ;
Ext.ComponentQuery. 0].setHidden(true) ;
Ext.ComponentQuery. xt] ') [0].secHidden (true);
= 1
if (appType.getValue() == 'F')
=] {
Ext.ComponentQuery.query('[ ") [2] .setHidden(true) ;
Ext.ComponentQuery.query ("’ xt] ') [0].setHidden (true) ;
Ext.ComponentQuery.query(’ 0] .setHidden(true) ;
Ext.ComponentQuery.query(’ xt] ') [0].3etHidden (true) ;
Ext.ComponentQuery.query(’' .setHidden (true) ;
Ext.ComponentQuery.query(’ t] ') [0] -setHidden (true) ;
Ext.ComponentQuery.query(’ "} [0].secHidden (true) ;
r }
if(appType.getValus() !'= 'G' && appType.getValus() != 'F")

=] {

Ext.ComponentQuery.query('[
Ext.ComponentQuery.query(’
Ext.ComponentQuery. query ('
Ext.ComponentQuery.query(’
Ext.ComponentQuery.query(’
Ext.ComponentQuery.query(’
Ext.ComponentQuery.query(’
Ext.ComponentQuery.query(’
Ext.ComponentQuery. query ('
Ext.ComponentQuery.query(’
Ext.ComponentQuery.query('[

") [0].secHidden(true) ;

®xt] ') [0].setHidden (true) ;
].setHidden (true) ;

xt]') [0].setHidden (true) ;
].setHidden (true) ;

xt] ") [0].setHidden(true) ;
} [C].setHidden(true) ;

®c] ') [0].setHidden(true) ;
') [7].setHidden (true) ;

Text] ") [0].setHidden(true) ;
].setHidden(true) ;

L 1l
//// add by Tri nwh 20220905 end v

JavaScript file length: 89915  lines: 2,127 Ln:222 Col:10 Sel: 0|0 Windows (CRLF)  UTF-8-BOM INS

#3 - 09/07/2022 09:23 AM - Tri Rizqgiaty
- File clipboard-202209070923-6vicz.png added

Hnew1.ﬂlnnew2@'“naw4ﬂ|inew5ﬁlnnew3u’]lEnawﬁﬂlnnewﬂﬂlEnawﬂ.ﬂlnnewﬂ.ﬂlnnewWZannew 13.2'“HFLAFPjnW\nLnokOrgPuLZDZZDBD1]5 annawﬂ .ﬂlnnewmd [ controlleperformance js E3 D

method: ' ~

url:
= params: {
header: Ext.encode(data),
PAOO4S: PACO4E8_dATA,
PRO049: TREE_dRTA,
PROO49A: PROC4SA dATA,
PROO51: PROOS1_dATH,
action: this._action

m; test

r 1y
waitMsg: 'Saving Data...',
success: function (response) {

war result = Ext.decode(response.responseText);
if (result.success) {
var card = Ext.ComponentQuery.query('[na
card_.getlayout().setActiveltem({0);
MinovaMessage('', 'O g1, 11,
if (data.AppraisalType =— "F") {
me.SaveToMDHistory () 7
me.saveToMDProfile () -

1
me.afterRenderCverview() ;
form.unmask () ;
} else {
MinovaMessage('', 'O v, "1, '3'y: //// add by Tri nwh 202208505
me.afterRenderCverview(); //// add by Tri nwh 20220805
form.unmask() ;
//MinovaMessage ("', result.message.id, result.message.text, "E");
//MinovaMessage ("', '000005', result.message.text, "E") //// comment by Tri nwh 20220905

1

3.

failure: funetion (response) {l
war result = Ext.decode(response.responseText) ;
form.unmask () ;
// MinovaMessage('', result.message.id, result.message.text, "E")
MinovaMessage('', ', result.message.text, "E")

L T v
JavaScript file length: 89.915 lines: 2,127 Ln:904 Col:47 Sel:0|0 Windows (CRLF)  UTF-8-BOM INS

#4 - 09/07/2022 09:23 AM - Tri Rizgiaty
- Status changed from Developing to QA Test

- Assignee changed from Tri Rizqgiaty to Fiona Avangeline Jonathan

#5 - 09/07/2022 10:59 AM - Fiona Avangeline Jonathan
- File clipboard-202209071059-twxus.png added
- Status changed from QA Test to Assigned
- Assignee changed from Fiona Avangeline Jonathan to Tri Rizqgiaty

Mba Yoma,

Untuk tombol save nya sudah berjalan, namun ketika di save data di PHRPA0049 bagian Performance List KPI datanya hilang baik di Ul maupun di
DB. Mohon dibantu mba, terima kasih.

KPl Group KPIID KPI Descri... Weight (%) Target Asumsi Sumber D... Criteria 1 Criteria 2 Is Sub KPI1 Criteria 3 Sub KPI De... IsCa

#6 - 09/07/2022 02:34 PM - Tri Rizqgiaty

- File controllerperformance.js added

- File clipboard-202209071433-qglou6.png added
- Status changed from Assigned to QA Test

- Assignee changed from Tri Rizqiaty to Fiona Avangeline Jonathan
Fio, tolong ditest lagi ya.
Fixing :

Update folder Ul-app-controller-performance : controllerperformance.js (file terlampir)

Erew 10 J Brew 1 JI = P 4]ne‘,\‘ 4 J Bnew 5 21 [H controlleperfomance js E3 ‘

if (PRO0D49 !
PROO4S_dATA
if (PROD4SA I=
PROO4SE dATR

Ext.encode (Ext.pluck (PR0049.data.items, 'data')):
ined)
Ext.encode (Ext.pluck (PAO04%A.data.items, 'data'

if (storequal != undefined) {
var _data = Ext.pluck(storegual.data.items, 'd a');:
Ext.RArray.each(_data, function (rec) {

rec.children = null
1)
PROOS1_dARTA = Ext.encode(_data):

e (Ext.pluck (treestore.data.items, 'data'));:
treestore.data.items, 'data'):*/ //// comment by Tri nwh 232209071

if (data AppraisalType = "z:slkaskld") {

var form = Ext.ComponentQuery.query('[r

var form = form.getForm();

var data = form .getValues():;

var Sum = Ext.StoreMgr.lookup("st

if (Sum.data.items.length > 0) {
var DataSum = Ext.encode(Ext.pluck(Sum.data.items, 'd

rePD!

rec.AdjustedScore;
= rec.CalculatedScozre;
= rec.FinalScore;
= rec.TotalScore;

[Find result - (1 hit)

C:\Work Trieriz\Data Rohto\Deploy 20220%07\controllerperformance.js (1 hit)
Line 669: TREE dATAZ = Ext.pluck(treestore.data.items, "data');*/ //// comment by Tri nwh 20220907
[+]Search "202209%" (6 hits in 1 file of 1 searched)

%Search "0S07" (1 hit in 1 file of 1 searched)

[HSearch "nwh" (6 hits in 1 file of 1 searched)

JavaScript file length: 89.950 lines: 2.128 Ln:669 Col:97 Sel:4|1 Windows (CRLF)  UTF-8-BOM INS

#7 - 09/07/2022 02:59 PM - Fiona Avangeline Jonathan
- File clipboard-202209071457-g16d7.png added
- File clipboard-202209071458-jgrim.png added
- File clipboard-202209071458-j1mao.png added
- File clipboard-202209071458-2ue0h.png added
- Status changed from QA Test to Closed

Performance Appraisal

Home e Performance Appraisal

Terima kasih Mba Yomma, tombol save sudah berfungsi dan data tersimpan.

W S3ve successiull 8

Employee Overview - 00000058 - Lucia Roos Meila

Employee 1D: 00000058

Full Name: Lucia Roos Meila
Employee Status: Active
Permanent

Employee Type:

Performance

Action ¥

Company ID:

Employee Office:

Organization:

Position:

ROHTO

Head Office

General Affair and Human Resource

General Affair and Human Resource
Manager

Appraisal Period Start Date | End Date

P4-01 Jan - 30 Apr 2021 20210101 20210430 00000058

G-01)an - 31 Des 2020 20200101 20201231 00000058

G -01]an - 31 Des 2021 20210101 20211231 00000052

4

of 4 > » Z

Performance Header

Tetap Pada Jabatan

Tetap Pada Jabatan

Type Other Recommendati... | Sequence

02 - Review 4 Ke 1

01 - Goal Setting

01 - Goal Setting

Appraisal Da...

20210101
20220826

20220907

AddTotalWeig..

-

KPIFinal Score KH

-

Displaying 1-10 of 31

Start Date: Motes:
End Date: 311272021 s
Appraisal Type: 01 - Goal Setting v Create By: 00000058
Appraisal Period: G-01)an-31Des ¥ Create Date: 0710872022 14:44:40
ggg:nrrli'li?a:\dation: Tetap Pada Jabata ¥ Changety: fiona
getaz:r:'lmendati on: ChanseRate: 07/09/2022 14:46:03
— & performance List Appraiser
© Add @ Delete
Appraiser ... Appraisal ID Appraiser ... KPl Weight Qualificati...
Appraiser 2 00000005 MNHA 50.00 50.00 I
Appraiser 1 00000006 DS 50.00 50.00
Before .
‘mmmss G 26 i NULL 00000006 Ds 100.00 100.00 Appl
After y
00000053 G 26 1 00000006 Ds 50.00 50.00 Appl
00000058 G 26 2 NULL 00000005 NHA 50.00 50.00 App2
Files
clipboard-202209021630-z4zvn.png 71.7 KB 09/02/2022 Fiona Avangeline Jonathan
clipboard-202209070919-7iznk.png 145 KB 09/07/2022 Tri Rizqgiaty
clipboard-202209070923-6vicz.png 96.9 KB 09/07/2022 Tri Rizqgiaty
clipboard-202209071059-twxus.png 9.38 KB 09/07/2022 Fiona Avangeline Jonathan
controllerperformance.js 87.8 KB 09/07/2022 Tri Rizqiaty
clipboard-202209071433-glou6.png 102 KB 09/07/2022 Tri Rizqgiaty
